Building a webhook integration? Read the webhook guide for signatures, retries, event schemas, and troubleshooting.
apiDeterministic

List ai decisions

GET /api/v1/ai/decisions

Read the last 50 decision calls, including confidence, provider, usage, cost, and failures. Personal calls are visible only to their owner.

Parameters

workspaceIdrequired
string
No description.

Example

REST requestbash
curl -X GET "https://app.pipeline.help/api/v1/ai/decisions?workspaceId=00000000-0000-4000-8000-000000000000" \
-H "Authorization: Bearer $PIPELINE_API_KEY"

Response

Success response schemajson schema
{
"type": "object",
"properties": {
"success": {
"type": "boolean"
},
"calls": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"provider": {
"type": "string"
},
"model": {
"type": "string"
},
"task": {
"type": "string"
},
"scope": {
"type": "string"
},
"status": {
"type": "string"
},
"costUsd": {
"type": [
"string",
"null"
]
},
"costStatus": {
"type": "string"
}
},
"required": [
"id",
"provider",
"model",
"task",
"scope",
"status",
"costStatus"
]
}
}
},
"required": [
"success",
"calls"
]
}

HTTP errors

401
Missing or invalid API key.
403
Authenticated but not permitted for the workspace or resource.
404
The requested resource was not found.
Pipeline REST API reference | Pipeline